Overview
POST
/team/teamsteamCreate teams
Create a record in teams.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ownerKindoptionalstring
- ownerIdoptionalstring
- slugstring
- namestring
- descriptionoptionalstring
- isDeletedoptionalboolean
Example
{
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"isDeleted": true
}Responses
201
teams
- idstring
- ownerKindstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring
- createdBystring?
- createdAtstring
- updatedAtstring
- isDeletedboolean
Example
{
"id": "string",
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"createdBy": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/team/teams" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"isDeleted": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/team/teams", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ownerKind\": \"string\",\n \"ownerId\": \"string\",\n \"slug\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"isDeleted\": true\n}",
});
const data = await res.json();